Set a team's default model
curl --request PUT \
--url https://api.openworklabs.com/v1/org/default-model/teams/{teamId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"model": {
"providerId": "<string>",
"modelId": "<string>"
}
}
'import requests
url = "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}"
payload = { "model": {
"providerId": "<string>",
"modelId": "<string>"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: {providerId: '<string>', modelId: '<string>'}})
};
fetch('https://api.openworklabs.com/v1/org/default-model/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'model' => [
'providerId' => '<string>',
'modelId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}"
payload := strings.NewReader("{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openworklabs.com/v1/org/default-model/teams/{teamId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/default-model/teams/{teamId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"everyone": {
"providerId": "<string>",
"modelId": "<string>"
},
"teams": [
{
"teamId": "<string>",
"name": "<string>",
"memberCount": 4503599627370495,
"model": {
"providerId": "<string>",
"modelId": "<string>"
},
"conflictingMemberCount": 4503599627370495
}
],
"canEdit": true
}{
"error": "unknown_model",
"message": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "model_source_unavailable",
"message": "<string>"
}Organizations
Set a team's default model
Overrides the model new desktop chats start with for one team’s members; null makes the team use the organization default again. A member on several teams whose overrides differ starts on the organization default. Only models the organization has are accepted. Requires the Manage OpenWork Models permission, a recent sign-in and the Organization default model feature.
PUT
/
v1
/
org
/
default-model
/
teams
/
{teamId}
Set a team's default model
curl --request PUT \
--url https://api.openworklabs.com/v1/org/default-model/teams/{teamId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"model": {
"providerId": "<string>",
"modelId": "<string>"
}
}
'import requests
url = "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}"
payload = { "model": {
"providerId": "<string>",
"modelId": "<string>"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: {providerId: '<string>', modelId: '<string>'}})
};
fetch('https://api.openworklabs.com/v1/org/default-model/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'model' => [
'providerId' => '<string>',
'modelId' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/default-model/teams/{teamId}"
payload := strings.NewReader("{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.openworklabs.com/v1/org/default-model/teams/{teamId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/default-model/teams/{teamId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": {\n \"providerId\": \"<string>\",\n \"modelId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"everyone": {
"providerId": "<string>",
"modelId": "<string>"
},
"teams": [
{
"teamId": "<string>",
"name": "<string>",
"memberCount": 4503599627370495,
"model": {
"providerId": "<string>",
"modelId": "<string>"
},
"conflictingMemberCount": 4503599627370495
}
],
"canEdit": true
}{
"error": "unknown_model",
"message": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "model_source_unavailable",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Den TypeID with 'tem_' prefix and a 26-character base32 suffix.
Required string length:
30Body
application/json
Show child attributes
Show child attributes
Was this page helpful?